# https://git.kernel.org/pub/scm/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/f2fs-tools-1.10.0.tar.gz

Name:           f2fs-tools
Version:        1.10.0
Release:        %mkrel 1
Summary:        Utilities for the Flash-friendly Filesystem (F2FS)

License:        GPLv2+
Group:          System/Kernel and hardware
Url:		https://git.kernel.org/pub/scm/linux/kernel/git/jaegeuk/%{name}.git/about/
Source0:	%{name}-%{version}.tar.xz

BuildRequires:  %{_lib}uuid-devel

%description
Utilities needed to create and maintain F2 filesystems.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for the %{name} library.

%prep
%setup -q

%build
[ ! -e configure ] && autoreconf -fi
%configure2_5x --sbindir=%{_sbindir} --disable-static
%make_build

%install
%makeinstall_std
find %{buildroot} \( -name \*.a -o -name \*.la \) -delete

%files
%doc AUTHORS COPYING
%{_libdir}/libf2fs*.so.*
%{_sbindir}/*.f2fs
%{_sbindir}/f2fscrypt
%{_sbindir}/f2fstat
%{_mandir}/man8/*.f2fs.8.*
%{_mandir}/man8/f2fscrypt.8.*

%files devel
%doc README
%{_includedir}/f2fs_fs.h
%{_includedir}/quota.h
%{_libdir}/libf2fs*.so

%changelog
* Sat Feb 10 2018 marcin82 <fixxer1982 at gmail.com> 1.10.0-1pclos2018
- update, removed %%patch1
- updated project and source urls
- splitted out devel package

* Mon Aug 17 2015 bb <bb> 1.4.0-1pclos2015
- import into pclos
